function plot_samples2d (X, varargin)

% PLOT_SAMPLES2D    Plots the point cloud corresponding to the given 2d samples.
%
%   PLOT_SAMPLES2D(X, STYLE='x', [COLOR]) plots the point cloud given by
%   the 2d samples X where each row corresponds to a sample. STYLE
%   corresponds to the plot style used and COLOR is any RGB color [R G B].
%
%
% created: 2004 12 15 - Simon Meier

    % plot them using the specified settings
    style = 'x';
    if (nargin >= 2)
        style = varargin{1};
    end
    if (nargin >= 3)
        plot(X(:,1), X(:,2),style,'color',varargin{2});
    else
        plot(X(:,1), X(:,2),style);
    end
